Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62850 - maven-3.6.1-1: support for Eclipse p2 repositories broken

Attached to Project: Community Packages
Opened by Michael Laß (Bevan) - Sunday, 09 June 2019, 08:34 GMT
Task Type Bug Report
Category Packages
Status Unconfirmed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 2
Private No

Details

Description:

Maven 3.6.1 has a bug which makes it fail to pull from Eclipse p2 repositories. This is an issue when trying to build Eclipse plugins that use Tycho: https://issues.apache.org/jira/browse/MNG-6642

The fix is pretty simple and will be included in Maven 3.6.2: https://gitbox.apache.org/repos/asf?p=maven.git;a=commitdiff;h=763f76cf833cddd6630add035c541ac54bbe381d

Since the release date of 3.6.2 is unknown, maybe it makes sense to include that patch the Arch package for the time being.
This task depends upon

Loading...